r = 1;
h = 0.1;
dextr = 0.2;

Point(1) = {0, 0, 0, h};

Point(2) = {r, 0, 0, h};
Point(3) = {0, r, 0, h};
Point(4) = {-r, 0, 0, h};
Point(5) = {0, -r, 0, h};

Circle(1) = {2, 1, 3};
Circle(2) = {3, 1, 4};
Circle(3) = {4, 1, 5};
Circle(4) = {5, 1, 2};

Curve Loop(1) = {1, 2, 3, 4};

Plane Surface(1) = {1};

Extrude {0, 0, dextr} {Surface{1};};

Physical Volume("Vcylinder") = {1};

Physical Surface("Stop", 1) = {1};
Physical Surface("Sside", 2) = {13, 17, 21, 25};
Physical Surface("Sbottom", 3) = {26};

Mesh 3;

Mesh.MshFileVersion = 2.0;
Save "cylinder_Gmsh_2D5.msh";

